#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.27.10
%define		qtver		5.15.2
%define		kpname		kpipewire
Summary:	a set of convenient classes to use PipeWire in Qt projects
Name:		kp5-%{kpname}
Version:	5.27.10
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	7f432fbb0d205d6e30714e731f91a459
URL:		http://www.kde.org/
BuildRequires:	Qt5WaylandClient-devel
BuildRequires:	cmake >= 3.16.0
BuildRequires:	ffmpeg-devel
BuildRequires:	kf5-extra-cmake-modules
BuildRequires:	kf5-kwayland-devel
BuildRequires:	kf5-plasma-wayland-protocols-devel
BuildRequires:	ninja
BuildRequires:	pipewire-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kpipewire offers a set of convenient classes to use PipeWire
(https://pipewire.org/) in Qt projects.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cmake >= 3.16

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKPipeWire.so.5
%{_libdir}/libKPipeWire.so.5.*.*
%ghost %{_libdir}/libKPipeWireRecord.so.5
%{_libdir}/libKPipeWireRecord.so.5.*.*
%dir %{_libdir}/qt5/qml/org/kde/pipewire
%{_libdir}/qt5/qml/org/kde/pipewire/libKPipeWireDeclarative.so
%{_libdir}/qt5/qml/org/kde/pipewire/qmldir
%dir %{_libdir}/qt5/qml/org/kde/pipewire/record
%{_libdir}/qt5/qml/org/kde/pipewire/record/libKPipeWireRecordDeclarative.so
%{_libdir}/qt5/qml/org/kde/pipewire/record/qmldir
%{_datadir}/qlogging-categories5/kpipewire.categories
%{_datadir}/qlogging-categories5/kpipewirerecord.categories
%ghost %{_libdir}/libKPipeWireDmaBuf.so.5
%{_libdir}/libKPipeWireDmaBuf.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KPipeWire
%{_libdir}/cmake/KPipeWire
%{_libdir}/libKPipeWire.so
%{_libdir}/libKPipeWireRecord.so
%{_libdir}/libKPipeWireDmaBuf.so
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kpipewire.git;a=log;h=master

* Wed Dec 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d0470c7
- updated to 5.27.10

* Wed Oct 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f7b8eda
- updated to 5.27.9

* Mon Oct 16 2023 Jan Rękorajski <baggins@pld-linux.org> 2b9e316
- Release 2 (by relup.sh)

* Wed Sep 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9680117
- updated to 5.27.8

* Wed Aug 02 2023 Witold Filipczyk <witekfl@poczta.onet.pl> aa98b4e
- updated to 5.27.7; cmake -B build

* Wed Jun 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 81b7940
- updated to 5.27.6

* Mon Jun 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2fa624f
- rebuild against QT 5.15.10

* Thu May 11 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ccf55ba
- BR: kf5-plasma-wayland-protocols-devel

* Wed May 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8012524
- updated to 5.27.5

* Mon Apr 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 20371bb
- relup

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0b50526
- rebuild against QT 5.15.9

* Wed Apr 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ec21806
- BR: kf5-kwayland-devel

* Tue Apr 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7c20e6c
- updated to 5.27.4

* Wed Mar 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4b4a7af
- updated to 5.27.3

* Wed Mar 01 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 406887a
- updated to 5.27.2

* Wed Feb 22 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4ba8bb6
- updated to 5.27.1

* Tue Feb 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ca35d24
- updated to 5.27.0

* Wed Jan 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2340403
- updated to 5.26.5

* Wed Nov 30 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7267b1d
- BR: ffmpeg-devel

* Wed Nov 30 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 363df28
- BR: Qt5WaylandClient-devel

